/*****************************************************************************
 *
 * File ..................: mbfido/mbseq.c
 * Purpose ...............: give a hexadecimal sequence to stdout
 * Last modification date : 14-Aug-1999
 *
 *****************************************************************************
 * Copyright (C) 1997-1999
 *   
 * Michiel Broek		FIDO:		2:2801/16
 * Beekmansbos 10		Internet:	mbroek@ux123.pttnwb.nl
 * 1971 BV IJmuiden
 * the Netherlands
 *
 * This file is part of MBSE BBS.
 *
 * This BBS is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * MBSE BBS is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with MBSE BBS; see the file COPYING.  If not, write to the Free
 * Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *****************************************************************************/

#include "../include/libs.h"
#include "../include/structs.h"
#include "../include/records.h"
#include "../common/common.h"
#include "../dbase/dbcfg.h"
#include "mbseq.h"



int main(int argc, char **argv)
{
	struct passwd	*pw;
	unsigned long	seq;

	InitConfig();

	pw = getpwuid(getuid());

	InitClient(pw->pw_name, (char *)"mbseq", CFG.location, 
				CFG.logfile, CFG.util_loglevel);

	Syslog(' ', " "); 
	Syslog(' ', "MBSEQ v%s", MBSEVersion);

	seq = sequencer();
	Syslog('+', "Sequence string %08lx", seq);
	printf("%08lx", seq);
	fflush(stdout);

	Syslog(' ', "MBSEQ finished");
	ExitClient(0);
	return 0;
}



